/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 * Copyright 2012 Adobe Systems Incorporated
 * All Rights Reserved.
 *
 * NOTICE: All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any. The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 **************************************************************************/

// event object

function Event() { };

Event.prototype =
{
    get rc()
    {
        var result = window._event.getRC();
        
        if (result == 1)
            return true;
        else
            return false;
    },
    
    set rc(_val)
    {
        window._event.setRC(_val);
    },
    
    get change()
    {
        return window._event.getChange();
    },
    
    set change(_val)
    {
        window._event.setChange(_val);
    },
    
    get target()
    {
    	var ret;
    
    	var name = window._event.getTarget();
    	if (!isNullOrUndefined(name))
    	{
    		ret = new Field(name);
    	}
    	
    	return ret;
    },
    
    get selStart()
    {
        return window._event.getSelStart();
    },
 
    get selEnd()
    {
        return window._event.getSelEnd();
    },
    
    get value()
    {
        return window._event.getValue();
    },
    
    set value(_val)
    {
        window._event.setValue(_val);
    },
    
    get willCommit()
    {
        var result = window._event.getWillCommit();
        
        if (result == 1)
            return true;
        else
            return false;
    },
     
    get silenceErrors()
    {
        var result = window._event.getSilenceErrors();
        
        if (result == 1)
            return true;
        else
            return false;
    }
};

var event = new Event();